public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/aiosignal/
Date: Fri, 13 May 2022 16:11:06 +0000 (UTC)	[thread overview]
Message-ID: <1652458261.c59971d0fae3fddf5f9f989fc4b72707241574a1.mgorny@gentoo> (raw)

commit:     c59971d0fae3fddf5f9f989fc4b72707241574a1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 15:20:42 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 13 16:11:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c59971d0

dev-python/aiosignal: Use PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aiosignal/aiosignal-1.2.0-r1.ebuild | 34 ++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-python/aiosignal/aiosignal-1.2.0-r1.ebuild b/dev-python/aiosignal/aiosignal-1.2.0-r1.ebuild
new file mode 100644
index 000000000000..3cefe64fa69a
--- /dev/null
+++ b/dev-python/aiosignal/aiosignal-1.2.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A list of registered asynchronous callbacks"
+HOMEPAGE="
+	https://pypi.org/project/aiosignal/
+	https://github.com/aio-libs/aiosignal/
+"
+SRC_URI="
+	https://github.com/aio-libs/aiosignal/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/frozenlist-1.1.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e '/addopts/d' pytest.ini || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-05-13 16:11 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-13 16:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-08 19:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/aiosignal/ Arthur Zamarin
2024-06-10 17:01 Michał Górny
2024-04-18 15:45 Michał Górny
2023-05-29 13:58 Sam James
2022-12-10  9:03 Michał Górny
2022-12-10  8:57 Arthur Zamarin
2022-11-09  8:38 Michał Górny
2022-06-16 11:47 Michał Górny
2022-06-16  9:50 Jakov Smolić
2022-06-16  9:18 Michał Górny
2022-06-16  8:59 Jakov Smolić
2022-06-16  8:59 Jakov Smolić
2022-05-13 16:11 Michał Górny
2022-04-26  1:51 Sam James
2021-12-31 16:53 Matt Turner
2021-12-17 14:15 Arthur Zamarin
2021-12-15 17:01 Arthur Zamarin
2021-12-15 17:00 Arthur Zamarin
2021-12-10 16:16 Sam James
2021-12-10 12:16 Jakov Smolić
2021-12-10 12:11 Arthur Zamarin
2021-12-10 11:48 Arthur Zamarin
2021-12-10 11:34 Arthur Zamarin
2021-11-19  2:08 Sam James
2021-11-12 10:05 Marek Szuba
2021-11-10 19:10 Jakov Smolić
2021-11-05  3:17 Sam James
2021-11-04 21:15 Sam James
2021-11-04 16:52 Sam James
2021-11-01 11:40 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1652458261.c59971d0fae3fddf5f9f989fc4b72707241574a1.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox